Skip to main content
GET
List notification dispatches

Query Parameters

cursor
string | null
limit
integer<int32> | null
destinationId
string[] | null

Filter to dispatches sent to any of these notification destinations.

Maximum array length: 200
ruleId
string[] | null

Filter to dispatches attributed to any of these notification rules. A dispatch's ruleIds can list more than one contributing rule; this matches a dispatch if any of them is in the given list. A rule test-send's dispatches have no rule attribution and never match.

Maximum array length: 200
catalogId
string[] | null

Filter to dispatches of any of these event catalog ids.

Maximum array length: 200
status
string[] | null

Filter to dispatches in any of these statuses.

Maximum array length: 20
subjectType
string | null

Filter to dispatches whose event's subject is this entity kind, e.g. "pipeline_run". Pair with subjectId to scope to one specific entity.

subjectId
string | null

Filter to dispatches whose event's subject is this entity id. Pair with subjectType to disambiguate ids that are only unique within their entity kind.

createdAtAfter
string<date-time> | null

Only dispatches created at or after this time. UTC RFC3339 timestamp with a required Z suffix

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,9})?Z$
createdAtBefore
string<date-time> | null

Only dispatches created at or before this time. UTC RFC3339 timestamp with a required Z suffix

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,9})?Z$

Response

The request has succeeded.

data
object[]
required
meta
object
required